Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xwpf.usermodel
Class TextAlignment

    java.lang.Object
      org.apache.poi.xwpf.usermodel.TextAlignment

    public class TextAlignment

extends java.lang.Object

Specifies all types of vertical alignment which are available to be applied to of all text on each line displayed within a paragraph.

Author:
  Gisella Bronzetti

Field Summary
`static TextAlignment` | `AUTO` Specifies that all text in the parent object shall be aligned automatically when displayed.
`static TextAlignment` | `BASELINE` Specifies that all text in the parent object shall be aligned to the baseline of each character when displayed.
`static TextAlignment` | `BOTTOM` Specifies that all text in the parent object shall be aligned to the bottom of each character when displayed.
`static TextAlignment` | `CENTER` Specifies that all text in the parent object shall be aligned to the center of each character when displayed.
`static TextAlignment` | `TOP` Specifies that all text in the parent object shall be aligned to the top of each character when displayed

Method Summary
`int` | `getValue()`
`static TextAlignment` | `valueOf(int type)`
`static TextAlignment[]` | `values()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TOP

    public static final TextAlignment TOP

  Specifies that all text in the parent object shall be aligned to the top of each character when displayed

### CENTER

    public static final TextAlignment CENTER

  Specifies that all text in the parent object shall be aligned to the center of each character when displayed.

### BASELINE

    public static final TextAlignment BASELINE

  Specifies that all text in the parent object shall be aligned to the baseline of each character when displayed.

### BOTTOM

    public static final TextAlignment BOTTOM

  Specifies that all text in the parent object shall be aligned to the bottom of each character when displayed.

### AUTO

    public static final TextAlignment AUTO

  Specifies that all text in the parent object shall be aligned automatically when displayed.

Method Detail

### getValue

    public int getValue()

### valueOf

    public static TextAlignment valueOf(int type)

### values

    public static TextAlignment[] values()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD